# ds52-db

Database dumps from the DS52 and DS53 class, in MySQL and Docker form.

The DS52 class uses shady Windows Server VMs, which contain an equivalently shady installation of Oracle SQL.
The VM is 14GB in size, and has incredibly poor accessibility.

I managed to dump the databases in [CSV format](https://gist.github.com/adri326/a846a523fd5425888f239e60b660a19f),
and I now import these into a MariaDB database, before dumping this one again into MySQL format,
which can then be imported into other MariaDB instances or into a Docker image of MariaDB.

The currently-available images are:

- [`ds52-cafe`](https://hub.docker.com/r/shadamethyst/ds52-cafe)
- [`ds52-course`](https://hub.docker.com/r/shadamethyst/ds52-course)
- *ds52-gescom* (TODO)
- [`ds53-emode`](https://hub.docker.com/r/shadamethyst/ds53-emode)

## TODO

- a sql script to automatically import the cafe database
- the gescom database
- the course database
