-- MariaDB dump 10.19  Distrib 10.11.2-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: course
-- ------------------------------------------------------
-- Server version	10.11.2-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `coureur`
--

DROP TABLE IF EXISTS `coureur`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `coureur` (
  `numcoureur` int(11) NOT NULL AUTO_INCREMENT,
  `nomcoureur` varchar(255) NOT NULL,
  `villecoureur` varchar(255) NOT NULL,
  `numentr` int(11) NOT NULL,
  PRIMARY KEY (`numcoureur`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `coureur`
--

LOCK TABLES `coureur` WRITE;
/*!40000 ALTER TABLE `coureur` DISABLE KEYS */;
INSERT INTO `coureur` VALUES
(1,'ALBERT','BELFORT',4),
(2,'DUPONT','MULHOUSE',1),
(3,'MARTIN','BELFORT',1),
(4,'DURANT','MULHOUSE',2),
(5,'BARREAU','MONTBELIARD',3),
(6,'PARRET','SEVENANS',2),
(7,'PARISSE','BELFORT',1),
(8,'PARADIS','MONTBELIARD',4),
(9,'MANILLE','PARIS',3),
(10,'DALO','BELFORT',4),
(11,'FILOU','MULHOUSE',3);
/*!40000 ALTER TABLE `coureur` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `course`
--

DROP TABLE IF EXISTS `course`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course` (
  `numcourse` int(11) NOT NULL AUTO_INCREMENT,
  `libcourse` varchar(255) NOT NULL,
  `villecourse` varchar(255) NOT NULL,
  `datecourse` date NOT NULL,
  PRIMARY KEY (`numcourse`)
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course`
--

LOCK TABLES `course` WRITE;
/*!40000 ALTER TABLE `course` DISABLE KEYS */;
INSERT INTO `course` VALUES
(15,'Course du Lion','MONTBELIARD','2003-09-15'),
(16,'Course du Lion','BELFORT','2004-09-12'),
(17,'Marathon','BELFORT','2004-10-15'),
(18,'Course du tour','PARIS','2005-01-17'),
(19,'Course du Territoire','BELFORT','2005-01-25'),
(20,'L\'alsacienne','MULHOUSE','2005-07-30'),
(21,'Course du Lion','MONTBELIARD','2005-09-12'),
(99,'Course UTBM','BELFORT','2005-09-01');
/*!40000 ALTER TABLE `course` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entraineur`
--

DROP TABLE IF EXISTS `entraineur`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entraineur` (
  `numentr` int(11) NOT NULL AUTO_INCREMENT,
  `nomentr` varchar(255) NOT NULL,
  `villeentr` varchar(255) NOT NULL,
  `salaireentr` decimal(13,2) DEFAULT NULL,
  PRIMARY KEY (`numentr`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entraineur`
--

LOCK TABLES `entraineur` WRITE;
/*!40000 ALTER TABLE `entraineur` DISABLE KEYS */;
INSERT INTO `entraineur` VALUES
(1,'WEBER','BELFORT',1200.00),
(2,'HARRY','SOCHAUX',760.00),
(3,'FANNIER','BELFORT',1060.00),
(4,'DUBROCK','MONTBELIARD',1372.00),
(5,'JUSTIN','PARIS',915.00);
/*!40000 ALTER TABLE `entraineur` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `participe`
--

DROP TABLE IF EXISTS `participe`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `participe` (
  `numcourse` int(11) NOT NULL AUTO_INCREMENT,
  `numcoureur` int(11) NOT NULL,
  `ordre` int(11) DEFAULT NULL,
  PRIMARY KEY (`numcourse`,`numcoureur`)
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `participe`
--

LOCK TABLES `participe` WRITE;
/*!40000 ALTER TABLE `participe` DISABLE KEYS */;
INSERT INTO `participe` VALUES
(15,2,2),
(15,7,1),
(16,2,3),
(16,4,2),
(16,7,1),
(17,1,5),
(17,3,1),
(17,4,4),
(17,5,2),
(17,6,3),
(17,9,6),
(17,10,6),
(18,1,4),
(18,2,3),
(18,3,2),
(18,7,1),
(18,8,5),
(18,9,7),
(18,10,6),
(19,2,3),
(19,3,4),
(19,4,8),
(19,6,2),
(19,7,1),
(19,9,5),
(20,6,1),
(20,8,2),
(21,3,3),
(21,9,2),
(21,10,1),
(99,2,3),
(99,4,2),
(99,6,1);
/*!40000 ALTER TABLE `participe` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-03-06  8:29:35
